/* select */
.jcf-select {
	display: inline-block;
	vertical-align: top;
	position: relative;
	background: #fff;
	margin: 0;
	min-width: 50px;
	height: 26px;
}
.jcf-select select {
	z-index: 1;
	left: 0;
	top: 0;
}
.jcf-select .jcf-select-text {
	text-overflow:ellipsis;
	white-space: nowrap;
	overflow: hidden;
	cursor: default;
	display: block;
	font-size: 13px;
	line-height: 26px;
	margin: 0 35px 0 8px;
}
.jcf-select .jcf-select-opener {
	position: absolute;
	text-align: center;
	background: #aaa;
	width: 26px;
	bottom: 0;
	right: 0;
	top: 0;
}
body > .jcf-select-drop {
	position: absolute;
	margin: -1px 0 0;
	z-index: 9999;
}
body > .jcf-select-drop.jcf-drop-flipped {
	margin: 1px 0 0;
}
.jcf-select .jcf-select-drop {
	position: absolute;
	margin-top: 0px;
	z-index: 9999;
	top: 100%;
	left: -1px;
	right: -1px;
}
.jcf-select .jcf-drop-flipped {
	bottom: 100%;
	top: auto;
}
.jcf-select-drop .jcf-select-drop-content {

}
.jcf-select-drop .jcf-option-hideme {display: none;}
/* multiple select styles */
.jcf-list-box {
	overflow: hidden;
	display: inline-block;
	border: 1px solid #b8c3c9;
	min-width: 200px;
	margin: 0 15px;
}
/* select options styles */
.jcf-list {
	display: inline-block;
	vertical-align: top;
	position: relative;
	background: #fff;
	line-height: 14px;
	font-size: 12px;
	width: 100%;
}

.jcf-list img {
	margin: 0 10px 0 0;
}

.jcf-list .jcf-list-content {
	vertical-align: top;
	display: inline-block;
	overflow: auto;
	width: 100%;
}
.jcf-list ul {
	list-style: none;
	padding: 0;
	margin: 0;
}
.jcf-list ul li {
	overflow: hidden;
	display: block;
}
.jcf-list .jcf-overflow {
	overflow: auto;
}
.jcf-list .jcf-option {
	white-space: nowrap;
	overflow: hidden;
	cursor: default;
	display: block;
	padding: 5px 20px;
	color: #656565;
	height: 1%;
}
.jcf-list .jcf-disabled {
	background: #fff !important;
	color: #aaa !important;
}
.jcf-select-drop .jcf-hover,
.jcf-list-box .jcf-selected {
	background: #e6e6e6;
	color: #000;
}
.jcf-list .jcf-optgroup-caption {
	white-space: nowrap;
	font-weight: bold;
	display: block;
	padding: 5px 9px;
	cursor: default;
	color: #000;
}
.jcf-list .jcf-optgroup .jcf-option {
	padding-left: 30px;
}



/* scrollbars */
.jcf-scrollable-wrapper {
	box-sizing: content-box;
	position: relative;
}
.jcf-scrollbar-vertical {
	position: absolute;
	cursor: default;
	width: 18px;
	bottom: 0;
	right: 0;
	top: 0;
}
.jcf-scrollbar-vertical .jcf-scrollbar-dec,
.jcf-scrollbar-vertical .jcf-scrollbar-inc {
	background: #bbb;
	height: 0;
	width: 0;
	left: 0;
	top: 0;
	visibility: hidden;
}
.jcf-scrollbar-vertical .jcf-scrollbar-inc {
	top: auto;
	bottom: 0;
}
.jcf-scrollbar-vertical .jcf-scrollbar-handle {
	background: #dfdfe1;
	height: 1px;
	width: 8px;
	border-radius: 4px;
}
.jcf-scrollbar-horizontal {
	position: absolute;
	background: #e3e3e3;
	right: auto;
	top: auto;
	left: 0;
	bottom: 0;
	width: 1px;
	height: 14px;
}
.jcf-scrollbar-horizontal .jcf-scrollbar-dec,
.jcf-scrollbar-horizontal .jcf-scrollbar-inc {
	display: inline-block;
	vertical-align: top;
	overflow: hidden;
	background: #bbb;
	height: 0;
	width: 0;
	visibility: hidden;

}
.jcf-scrollbar-horizontal .jcf-scrollbar-inc {
	left: auto;
	right: 0;
}
.jcf-scrollbar-horizontal .jcf-scrollbar-slider {
	display: inline-block;
	position: relative;
	height: 14px;
}
.jcf-scrollbar-horizontal .jcf-scrollbar-handle {
	position: absolute;
	background: #888;
	height: 14px;
}
.jcf-scrollbar.jcf-inactive .jcf-scrollbar-handle {
	visibility: hidden;
}
.jcf-scrollbar.jcf-inactive .jcf-scrollbar-dec,
.jcf-scrollbar.jcf-inactive .jcf-scrollbar-inc {
	background: #e3e3e3;
}
